Bug 172060 - Logrotate seems to cause lots of "avc: denied"
Logrotate seems to cause lots of "avc: denied"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-30 04:42 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.27.2-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-06 07:07:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2005-10-30 04:42:54 EST
Description of problem:
[...]
Oct 30 04:02:19 tux kernel: audit(1130641339.441:765): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=29032462 scontext=user_u:
system_r:unconfined_t:s0 tcontext=system_u:system_r:udev_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux syslogd 1.4.1: restart.
Oct 30 04:02:19 tux kernel: audit(1130641339.441:766): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=112590862 scontext=user_u:
system_r:unconfined_t:s0 tcontext=system_u:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.445:767): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=163184654 scontext=user_u:
system_r:unconfined_t:s0 tcontext=system_u:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.445:768): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=164364302 scontext=user_u:
system_r:unconfined_t:s0 tcontext=system_u:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.445:769): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=182321166 scontext=user_u:
system_r:unconfined_t:s0 tcontext=system_u:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.445:770): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=182452238 scontext=user_u:
system_r:unconfined_t:s0 tcontext=system_u:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.445:771): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=186187790 scontext=user_u:
system_r:unconfined_t:s0 tcontext=user_u:system_r:sysadm_su_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.445:772): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=186253326 scontext=user_u:
system_r:unconfined_t:s0 tcontext=root:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.445:773): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=460193806 scontext=user_u:
system_r:unconfined_t:s0 tcontext=system_u:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.445:774): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=460324878 scontext=user_u:
system_r:unconfined_t:s0 tcontext=system_u:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux proftpd[4805]: tux - received SIGHUP -- master server 
rehashing configuration file
Oct 30 04:02:19 tux kernel: audit(1130641339.449:775): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=514588686 scontext=user_u:
system_r:unconfined_t:s0 tcontext=user_u:system_r:sysadm_su_t:s0-s0:c0.c255 
tclass=file
Oct 30 04:02:19 tux kernel: audit(1130641339.449:776): avc:  denied  { read } 
for  pid=9332 comm="killall" name="stat" dev=proc ino=514785294 scontext=user_u:
system_r:unconfined_t:s0 tcontext=root:system_r:unconfined_t:s0-s0:c0.c255 
tclass=file
[...]

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.27.2-10

How reproducible:
Just wait for logrotate... ;-)
  
Actual results:
Lots of "avc: denied" messages in syslog.

Expected results:
No "avc: denied" message in syslog.

Additional info:
SELinux targeted enforced.
Comment 1 Daniel Walsh 2005-11-03 14:36:03 EST
Fixed in selinux-policy-targeted-1.27.2-12
Comment 2 Robert Scheck 2005-11-06 07:07:59 EST
Works in -12, thanks.

Note You need to log in before you can comment on or make changes to this bug.